Skip to main content
POST
/
poweredby
/
connection
/
create
Create Connection
curl --request POST \
  --url https://cloud.cdata.com/api/poweredby/connection/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataSource": "ExcelOnline",
  "redirectURL": "https://www.google.com",
  "name": "ExcelConnection"
}
'
{
  "redirectURL": "https://cloud.cdata.com/oem/user/connections/edit?token=eyJhbGciOiJSUzI1NiIsImtpZCI6IlNJdTlCdjVjWU1HMDRMYW84YXh3T0E2Nlk5UVlBV0dQd05YeTA5Q1hlY3MiLCJ0eXAiOiJKV1QifQ.eyJzdWIiOiJmZWUxY2U5ZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJ0b2tlblR5cGUiOiJwb3dlcmVkLWJ5Iiwib2VtQWRtaW5BY2NvdW50SWQiOiJkZWUxZmVlZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJmbG93VHlwZSI6ImNyZWF0ZUNvbm5lY3Rpb24iLCJhY2NvdW50SWQiOiJmZWUxY2U5ZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJodHRwczovL2Nsb3VkLmNkYXRhLmNvbS9jbGFpbXMvYWNjb3VudF9uYW1lIjoiQ0RhdGFCU0VDaGlsZCIsImh0dHBzOi8vY2xvdWQuY2RhdGEuY29tL2NsYWltcy91c2VyX3R5cGUiOiIwIiwiaHR0cHM6Ly9jbG91ZC5jZGF0YS5jb20vY2xhaW1zL3VzZXJfaWQiOiI0YmJiYmJiYi0zYzVjLTU2ZjgtYWFlNC1iOTg3ZDhlYTM5N2EiLCJuYW1lIjoiU2VydmljZSBVc2VyIiwiZW1haWwiOiJzZXJ2aWNlQWNjY291bnRAZmFrZS5jb20iLCJmbG93RGF0YXNvdXJjZSI6IkV4Y2VsT25saW5lIiwibmJmIjoxNzIxMTU0ODY1LCJleHAiOjE3MjExNTUwNDUsImlzcyI6ImNkYXRhLmNvbm5lY3QuYWNjb3VudHNlcnZpY2UiLCJhdWQiOiJjZGF0YS5jb25uZWN0Lm9lbSJ9.Yjph-6HkExJ3eIc3d2pgjZUYMx-GvYcCuuRx8NfKBXkCo_LHZdg8Hn9tcYDr4dEUuL8JTFMzNVgLa-KMQ9PNFmF-R43LSEY3rPXw0iI-9AjYiWOf_fqZe79b-8ig-gnHRKYtHyohVbB4JoXKcICitNBW58gvxc3w7D6XkykAAKRugvVdTJYsaYOwcHar8J7hxtUYaiwmNfP11xo-i1HFkxubUbi3OXr02eGURXidSCAgDxEL7wEXFjLAIxN4sXvbNiAy_OVNSUYnjEhJNxRJiDD7-XZbSVK-Uw68ohv3h4HPnVCKW8DSRWOGhu6kZ_yMQ0buI8qli3tt_YONyAazhw&driver=ExcelOnline&redirectUrl=https%3A%2F%2Fwww.google.com"
}
Create Connection requests the Connection Create Flow from the Connect AI Embed product. Create Connection validates the JWT and returns a string containing the URL to redirect the user to. If you include the parameter dataSource, the URL redirects the user to an Add Connection page for the data source. If you omit dataSource, the URL redirects the user to a general Add Connection page where the user can select a connection to add from the connections list. A successful Create Connection has the following flow:
1
A successful Create Connection request generates a URL to the CData-hosted Add Connection page. The redirectURL in the request body maps to the Return to button on the Add Connection page.
2
The user clicks Save & Test. The internal API response includes connection details to the CData-hosted Add Connection page.
3
The user clicks Return to. The connection information is appended to the redirect URL as parameters.The parameters include the following:
  • cdata_connection_id–the connection unique Id.
  • cdata_connection_name–the connection name, such as Salesforce1.
  • cdata_connection_status–the connection status. Values include success, error (connection error), or none (no connection made).
Example 1: URL after successful Save & Test:
https://www.google.com/?cdata_connection_id=da77460c-7438-4288-be66-ea0059c160ae&cdata_connection_name=OData1&cdata_connection_status=success&zx=1773244250880&no_sw_cr=1
Example 2: URL if the user clicks Return to and does not Save & Test:
https://www.google.com/?cdata_connection_status=none&zx=1773252769892&no_sw_cr=1
Example 3: URL after save and unsuccessful test:
https://www.google.com/?cdata_connection_id=507b42e8-94b1-488e-a1d8-5a62d5d74a31&cdata_connection_name=Salesforce1&cdata_connection_status=error&zx=1773252951878&no_sw_cr=1

Authorizations

Authorization
string
header
required

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.

Body

application/json
redirectURL
string
required

The URL to redirect the customer once the customer has created the connection through the Connect AI UI. This URL maps to the Return to button on the Add Connection page in the Connect AI UI.

dataSource
string | null

(Optional) The type of data source (For example: Snowflake, ActOn, or Salesforce). You can obtain data source names from List Connections. If you omit this parameter, the user can select from a list of available data sources.

name
string | null

(Optional) If provided, the connection name. If name is provided without a dataSource, it is ignored.

Response

200 - application/json

A string containing the CData-hosted connection URL to redirect the user to.

redirectURL
string
required

A string containing the CData-hosted connection URL to redirect the user to.